com.pixelmed.web

## Class WadoRequest

- java.lang.Object
- - com.pixelmed.web.WebRequest
  - - com.pixelmed.web.WadoRequest

-     public class WadoRequest
      extends WebRequest

  The `WadoRequest` class parses a DICOM PS 3.18 (ISO 17432), WADO URL into its constituent query parameters.

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.web.WebRequest

      `host, parameters, path, port, requestType, scheme, userInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WadoRequest(java.lang.String uriString)`
    `WadoRequest(WebRequest request)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAnnotation()`
    `java.lang.String` | `getAnonymize()`
    `java.lang.String[]` | `getCharset()`
    `int` | `getColumns()`
    `static java.lang.String[]` | `getCommaSeparatedValues(java.lang.String string)`
    `static java.lang.String[][]` | `getCommaThenSemicolonSeparatedValues(java.lang.String string)`
    `java.lang.String[][]` | `getContentType()`
    `int` | `getFrameNumber()`
    `int` | `getImageQuality()`
    `java.lang.String` | `getObjectUID()`
    `java.lang.String` | `getPresentationSeriesUID()`
    `java.lang.String` | `getPresentationUID()`
    `double[]` | `getRegion()`
    `int` | `getRows()`
    `static java.lang.String[]` | `getSemicolonSeparatedValues(java.lang.String string)`
    `static java.lang.String[]` | `getSeparatedValues(java.lang.String string, java.lang.String delimiter)`
    `java.lang.String` | `getSeriesUID()`
    `static double` | `getSingleDoubleValueFromParameters(java.util.Map parameters, java.lang.String key)`
    `static int` | `getSingleIntegerValueFromParameters(java.util.Map parameters, java.lang.String key)`
    `java.lang.String` | `getStudyUID()`
    `java.lang.String` | `getTransferSyntax()`
    `double` | `getWindowCenter()`
    `double` | `getWindowWidth()`
    `boolean` | `isContentTypeDicom()`
    `static void` | `main(java.lang.String[] arg)`
    `java.lang.String` | `toString()`
    `static java.lang.String` | `toString(double[] doubleArray)`
    `static java.lang.String` | `toString(java.lang.String[] stringArray)`
    `static java.lang.String` | `toString(java.lang.String[][] stringArrays)`
    `static boolean` | `validateUID(java.lang.String uid)`

    - ### Methods inherited from class com.pixelmed.web.WebRequest

      `getHost, getParameters, getPath, getPort, getRequestType, getScheme, getUserInfo, parseQueryIntoParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WadoRequest

          public WadoRequest(WebRequest request)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### WadoRequest

          public WadoRequest(java.lang.String uriString)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getStudyUID

          public java.lang.String getStudyUID()

    - #### getSeriesUID

          public java.lang.String getSeriesUID()

    - #### getObjectUID

          public java.lang.String getObjectUID()

    - #### getContentType

          public java.lang.String[][] getContentType()

    - #### isContentTypeDicom

          public boolean isContentTypeDicom()

    - #### getCharset

          public java.lang.String[] getCharset()

    - #### getAnonymize

          public java.lang.String getAnonymize()

    - #### getAnnotation

          public java.lang.String[] getAnnotation()

    - #### getRows

          public int getRows()

    - #### getColumns

          public int getColumns()

    - #### getRegion

          public double[] getRegion()

    - #### getWindowCenter

          public double getWindowCenter()

    - #### getWindowWidth

          public double getWindowWidth()

    - #### getFrameNumber

          public int getFrameNumber()

    - #### getImageQuality

          public int getImageQuality()

    - #### getPresentationUID

          public java.lang.String getPresentationUID()

    - #### getPresentationSeriesUID

          public java.lang.String getPresentationSeriesUID()

    - #### getTransferSyntax

          public java.lang.String getTransferSyntax()

    - #### validateUID

          public static boolean validateUID(java.lang.String uid)

    - #### getSeparatedValues

          public static java.lang.String[] getSeparatedValues(java.lang.String string,
                                                              java.lang.String delimiter)

    - #### getCommaSeparatedValues

          public static java.lang.String[] getCommaSeparatedValues(java.lang.String string)

    - #### getSemicolonSeparatedValues

          public static java.lang.String[] getSemicolonSeparatedValues(java.lang.String string)

    - #### getCommaThenSemicolonSeparatedValues

          public static java.lang.String[][] getCommaThenSemicolonSeparatedValues(java.lang.String string)

    - #### toString

          public static java.lang.String toString(double[] doubleArray)

    - #### toString

          public static java.lang.String toString(java.lang.String[] stringArray)

    - #### toString

          public static java.lang.String toString(java.lang.String[][] stringArrays)

    - #### getSingleIntegerValueFromParameters

          public static int getSingleIntegerValueFromParameters(java.util.Map parameters,
                                                                java.lang.String key)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSingleDoubleValueFromParameters

          public static double getSingleDoubleValueFromParameters(java.util.Map parameters,
                                                                  java.lang.String key)
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### main

          public static void main(java.lang.String[] arg)